%global         pypi_name      orderedmultidict

Name:           python-orderedmultidict
Version:        0.7.11
Release:        %mkrel 1
Summary:        An ordered multivalue dictionary
License:        UNLICENSE
Group:          Development/Python

URL:            https://github.com/gruns/orderedmultidict
Source0:        https://pypi.python.org/pypi/orderedmultidict/%{version}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python
BuildRequires:  python-setuptools
BuildArch:      noarch



%description
A multivalue dictionary is a dictionary that can store multiple values
for the same key. An ordered multivalue dictionary is a multivalue
dictionary that retains the order of insertions and deletions.



%package -n python3-orderedmultidict
Summary:        Python3 implementation of OMDict
Group:          Development/Python
BuildRequires:  python3
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description -n python3-orderedmultidict
%{summary}.


%prep
%setup -q -n %{pypi_name}-%{version}
%__rm -rf %{pypi_name}.egg-info


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install



%files
%doc README.md LICENSE.md API.md
%{python2_sitelib}/orderedmultidict
%{python2_sitelib}/orderedmultidict-%{version}-py?.?.egg-info

%files -n python3-orderedmultidict
%doc  README.md LICENSE.md API.md
%{python3_sitelib}/orderedmultidict
%{python3_sitelib}/orderedmultidict-%{version}-py?.?.egg-info



%changelog
* Mon Dec 19 2016 eatdirt <eatdirt> 0.7.11-1.mga6
+ Revision: 1076185
- imported package python-orderedmultidict

